Skip to main content
GET
/
v1
/
events
/
{id}
Error
A valid request URL is required to generate request examples
{
  "id": 0,
  "masterAddress": "<string>",
  "question": "<string>",
  "category": "<string>",
  "tags": [
    "<string>"
  ],
  "imageUrl": "<string>",
  "createdAt": "<string>",
  "legCount": 4503599627370495,
  "totalVolume": "<string>",
  "legs": [
    {
      "id": 0,
      "marketAddress": "<string>",
      "question": "<string>",
      "category": "<string>",
      "tags": [
        "<string>"
      ],
      "creator": "<string>",
      "resolved": true,
      "finalOutcome": 0,
      "volume": "<string>",
      "bestBidYes": 500,
      "bestAskYes": 500,
      "bestBidNo": 500,
      "bestAskNo": 500,
      "createdAt": "<string>",
      "metadata": {},
      "imageUrl": "<string>",
      "rules": "<string>",
      "resolutionSources": "<string>",
      "master": true,
      "masterQuestion": "<string>",
      "masterImage": "<string>",
      "linked": true,
      "proposalId": 0
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aura-4ecab767.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from POST /v1/auth/keys.

Path Parameters

id
integer
required
Required range: x <= 9007199254740991

Response

Default Response

id
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
masterAddress
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
question
string
required

Master question shown in discovery (e.g. "NFL Week 5: Chiefs @ Eagles").

category
string | null
required
tags
string[]
required
imageUrl
string | null
required
createdAt
string
required
legCount
integer
required
Required range: 0 <= x <= 9007199254740991
totalVolume
string
required
legs
object[]